package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$26 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = BigInteger.valueOf(1L);
      BigInteger var1 = SECNamedCurves.access$0("0066647EDE6C332C7F8C0923BB58213B333B20E9CE4281FE115F7D8F90AD");
      byte[] var2 = Hex.decode("74D59FF07F6B413D0EA14B344B20A2DB049B50C3");
      BigInteger var3 = SECNamedCurves.access$0("01000000000000000000000000000013E974E72F8A6922031D2603CFE0D7");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(233, 74, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0400FAC9DFCBAC8313BB2139F1BB755FEF65BC391F8B36F8F8EB7371FD558B01006A08A41903350678E58528BEBF8A0BEFF867A7CA36716F7E01F81052"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
